## net.sf.saxon.charcode
Class CP1251CharacterSet

    java.lang.Object
      net.sf.saxon.charcode.CP1251CharacterSet

All Implemented Interfaces:
  CharacterSet

    public class CP1251CharacterSet

extends java.lang.Object
implements CharacterSet

This class defines properties of the CP1251 Cyrillic character set, as defined at http://www.microsoft.com/globaldev/reference/sbcs/1251.htm.

Field Summary
`static CP1251CharacterSet` `theInstance`

Method Summary
`static CP1251CharacterSet` `getInstance()`
`boolean` `inCharset(int c)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static CP1251CharacterSet theInstance

Method Detail

### getInstance

    public static CP1251CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int c)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

Copyright (c) Saxonica Limited. All rights reserved.